Bug 54780 - 9wm won't build without xmkmf
9wm won't build without xmkmf
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: 9wm (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: bero
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-18 14:31 EDT by Matthew R. MacIntyre
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 12:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew R. MacIntyre 2001-10-18 14:31:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
The 9wm rpm won't build without having xmkmf installed, which is part of
the XFree86-devel package.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -bb 9wm.spec
	

Actual Results:  [matt@dumbledore SPECS]$ rpm -bb 9wm.spec 2>&1 | tee
~/9wm.output
Executing(%prep): /bin/sh -e /tmp/rpm-tmp.61538
+ umask 022
+ cd /usr/src/hogwarts/BUILD
+ cd /usr/src/hogwarts/BUILD
+ rm -rf 9wm-1.1
+ /bin/mkdir -p 9wm-1.1
+ cd 9wm-1.1
++ /usr/bin/id -u
+ '[' 502 = 0 ']'
++ /usr/bin/id -u
+ '[' 502 = 0 ']'
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ zcat /usr/src/hogwarts/SOURCES/9wm-1.1.shar.Z
+ sh
README
9wm.man
Imakefile
Makefile.no-imake
9wm.c
manage.c
menu.c
client.c
grab.c
cursor.c
error.c
dat.h
fns.h
patchlevel.h
+ exit 0
Executing(%build): /bin/sh -e /tmp/rpm-tmp.61538
+ umask 022
+ cd /usr/src/hogwarts/BUILD
+ cd 9wm-1.1
+ xmkmf -a
/tmp/rpm-tmp.61538: xmkmf: command not found
error: Bad exit status from /tmp/rpm-tmp.61538 (%build)


RPM build errors:
    Bad exit status from /tmp/rpm-tmp.61538 (%build)
[matt@dumbledore SPECS]$ 


Expected Results:  it should build properly without errors

Additional info:

The spec file needs a line like:

BuildRequires: /usr/X11R6/bin/xmkmf

or:

BuildRequires: XFree86-devel

in it.
Comment 1 David Lawrence 2003-05-16 12:50:54 EDT
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.

Note You need to log in before you can comment on or make changes to this bug.